Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.awb.misc
Class URIEncoder

    java.lang.Object
      |
      +--com.ibm.awb.misc.URIEncoder

public class URIEncoder
extends java.lang.Object

The class substitutes `java.net.URLEncoder`.

See Also:
  `java.net.URLEncoder`

Method Summary
`static java.lang.String` | `decode(java.lang.String str)` Decode encoded URI string into String under aglet's encoding
`static java.lang.String` | `decode(java.lang.String str, java.lang.String encoding)` Decode encoded URI string into String under specified encoding
`static java.lang.String` | `encode(byte[] sequence)` Translates a byte sequence into `x-www-form-urlencoded` format.
`static java.lang.String` | `encode(java.lang.String str)` Translates a string into `x-www-form-urlencoded` format.
`static java.lang.String` | `encode(java.lang.String str, java.lang.String encoding)` Translates a string into `x-www-form-urlencoded` format.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decode

    public static java.lang.String decode(java.lang.String str)

  Decode encoded URI string into String under aglet's encoding
  Parameters:
    `str` - encoded URI string
  Returns:
    decoded string under specified encoding
  See Also:
    `java.net.URLEncoder`

### decode

    public static java.lang.String decode(java.lang.String str,
                                          java.lang.String encoding)
                                   throws java.io.UnsupportedEncodingException

  Decode encoded URI string into String under specified encoding
  Parameters:
    `str` - encoded URI string
    `encoding` - character encoding name
  Returns:
    decoded string under specified encoding
  See Also:
    `java.net.URLEncoder`

### encode

    public static java.lang.String encode(byte[] sequence)

  Translates a byte sequence into `x-www-form-urlencoded` format.
  Parameters:
    `A` - byte sequence to be translated.
  Returns:
    the translated `String`.

### encode

    public static java.lang.String encode(java.lang.String str)

  Translates a string into `x-www-form-urlencoded` format.
  Parameters:
    `str` - `String` to be translated.
  Returns:
    the translated `String`.

### encode

    public static java.lang.String encode(java.lang.String str,
                                          java.lang.String encoding)
                                   throws java.io.UnsupportedEncodingException

  Translates a string into `x-www-form-urlencoded` format.
  Parameters:
    `str` - `String` to be translated.
    `encoding` - character encoding name
  Returns:
    the translated `String`.
  Throws:
    `java.io.UnsupportedEncodingException` -

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD